

#[derive(Debug, Default, serde::Deserialize, PartialEq, Eq)]
pub struct AppConfig {
    pub debug: bool,
    pub host: String,
    pub port: u16,
    pub postgres: PostgresSettings,
}

#[derive(Debug, Default, serde::Deserialize, PartialEq, Eq)]
pub struct PostgresSettings {
    db: String,
    host: String,
    user: String,
    password: String,
    port: String,
    schema: String,
    prefix: String,
}

